      subroutine trajinterpol(numb,ldimi,ortra,ortraint)          
C                              i     o
********************************************************************************
*                                                                              *
*     This routine interpolates the trajectories to a constant time step.      *
*                                                                              *
*     Author: A. Stohl                                                         *
*                                                                              *
*     11 February 1994                                                         *
*                                                                              *
********************************************************************************
*                                                                              *
* Variables:                                                                   *
* numb                 number of trajectory to be interpolated                 *
*                                                                              *
*                                                                              *
* Constants:                                                                   *
*                                                                              *
********************************************************************************

      include 'includepar'
      include 'includecom'

      integer numb,i,j,k,ldimi
      real ortra(maxtime),ortraint(maxitime)

      ldimi=1
      do 10 i=1,ldim
10      ittraint(i)=ittra(numb,1)+(i-1)*ldirect*interstep

      xtraint(1)=xtra(numb,1)
      ytraint(1)=ytra(numb,1)
      ztraint(1)=ztra(numb,1)
      ptraint(1)=ptra(numb,1)
      htraint(1)=htra(numb,1)
      vorttraint(1)=vorttra(numb,1)
      pottemint(1)=pottem(numb,1)
      ortraint(1)=ortra(1)

      k=2
      do 20 i=2,ldim
        do 30 j=k,nttra(numb)
          if (abs(ittra(numb,j)).ge.abs(ittraint(i)))then 

C Linear interpolation
**********************

            ldimi=i
            xtraint(i)=(float(abs(ittra(numb,j)-ittraint(i)))*
     +      xtra(numb,j-1)+float(abs(ittra(numb,j-1)-ittraint(i)))*
     +      xtra(numb,j))/float(abs(ittra(numb,j)-ittra(numb,j-1)))

            ytraint(i)=(float(abs(ittra(numb,j)-ittraint(i)))*
     +      ytra(numb,j-1)+float(abs(ittra(numb,j-1)-ittraint(i)))*
     +      ytra(numb,j))/float(abs(ittra(numb,j)-ittra(numb,j-1)))

            ztraint(i)=(float(abs(ittra(numb,j)-ittraint(i)))*
     +      ztra(numb,j-1)+float(abs(ittra(numb,j-1)-ittraint(i)))*
     +      ztra(numb,j))/float(abs(ittra(numb,j)-ittra(numb,j-1)))

            ptraint(i)=(float(abs(ittra(numb,j)-ittraint(i)))*
     +      ptra(numb,j-1)+float(abs(ittra(numb,j-1)-ittraint(i)))*
     +      ptra(numb,j))/float(abs(ittra(numb,j)-ittra(numb,j-1)))

            htraint(i)=(float(abs(ittra(numb,j)-ittraint(i)))*
     +      htra(numb,j-1)+float(abs(ittra(numb,j-1)-ittraint(i)))*
     +      htra(numb,j))/float(abs(ittra(numb,j)-ittra(numb,j-1)))

            if (vorttra(numb,j-1).lt.-99..or.vorttra(numb,j).lt.-90.)
     +      then
              vorttraint(i)=-99.999
            else
              vorttraint(i)=(float(abs(ittra(numb,j)-ittraint(i)))*
     +        vorttra(numb,j-1)+float(abs(ittra(numb,j-1)-ittraint(i)))*
     +        vorttra(numb,j))/float(abs(ittra(numb,j)-ittra(numb,j-1)))
            endif

            if (pottem(numb,j-1).lt.100..or.pottem(numb,j).lt.100.) then
              pottemint(i)=-999.
            else
              pottemint(i)=(float(abs(ittra(numb,j)-ittraint(i)))*
     +        pottem(numb,j-1)+float(abs(ittra(numb,j-1)-ittraint(i)))*
     +        pottem(numb,j))/float(abs(ittra(numb,j)-ittra(numb,j-1)))
            endif

            ortraint(i)=(float(abs(ittra(numb,j)-ittraint(i)))*
     +      ortra(j-1)+float(abs(ittra(numb,j-1)-ittraint(i)))*
     +      ortra(j))/float(abs(ittra(numb,j)-ittra(numb,j-1)))

            k=j

            goto 20
          endif
30        continue

20      continue

      return    
      end
