      program postprocessor
********************************************************************************
*                                                                              *
*   Back trajectories are produced in the wrong temporal direction by the      *
*   trajectory model. This means the first trajectory is the last one in the   *
*   file and the last one is the first one.                                    *
*   This program reverses this direction so that the first date is also first  *
*   in the file.                                                               *
*                                                                              *
*   Author: A. Stohl                                                           *
*                                                                              *
*   8 April 1994                                                               *
*                                                                              *
********************************************************************************

      character filnam*50,header(28)*69,data(100000)*70


100   write(*,*) 'Name of file to be reversed?'
      write(*,*) '(Input "end" to stop)'
      read(*,*) filnam
      if (filnam.eq.'end') stop
       
      open(10,file=filnam)
      do 10 i=1,28
10      read(10,'(a69)') header(i)


      do 20 i=1,100000
20      read(10,'(a)',end=25) data(i)

25    number=i-1

      close(10)
      open(10,file=filnam)
     
      do 28 i=1,28
28      write(10,'(a69)') header(i)

      last=number
      do 30 i=number,1,-1
        if (data(i)(1:1).eq.'D') then
          write(10,'(a)') data(i)
          do 40 j=i+1,last
40          write(10,'(a)') data(j)
          last=i-1
        endif
30      continue

      goto 100


      end
